Double-clicking on column separators in brasero is buggy

Bug #581885 reported by Jeremy Bicha on 2010-05-17
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Brasero
Fix Released
Medium
brasero (Ubuntu)
Wishlist
Unassigned
Lucid
Undecided
Unassigned
Maverick
Wishlist
Unassigned

Bug Description

Binary package hint: brasero

Hi,

If you doubleclick the column separator, mouse pointer changes to left-right arrow and you cannot click on anything AT ALL until you kill brasero. This is a serious bug that might give the appearance of Ubuntu being a bad/unstable OS, which we know not to be true. After you kill brasero (press alt+f2, type in "killall brasero", without quotes, press enter), it all goes back to normal.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: brasero 2.30.0-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.34-2.9-generic 2.6.34-rc7
Uname: Linux 2.6.34-2-generic x86_64
Architecture: amd64
Date: Mon May 17 21:53:04 2010
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha amd64 (20100219.1)
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
SourcePackage: brasero

Jeremy Bicha (jbicha) wrote :
Jeremy Bicha (jbicha) wrote :

Viktor, thanks for reporting this bug (originally as bug 581759 ). Since this bug did not seem to have been reported before, I also forwarded this bug report to the Brasero developers at https://bugzilla.gnome.org/show_bug.cgi?id=618917 .

The steps I took to reproduce this bug on my computer were:

1. In Brasero, start a new audio project.
2. Add an audio file.
3. Attempt to double-click on the column header separator (between Title &
Artist, for instance)
4. The cursor changes to a left/right arrow and the song information dialog
appears. The mouse is stuck in the left/right arrow mode and clicking does not
work. I have to click Esc to exit the song information dialog which then
returns the cursor to normal.

Changed in brasero (Ubuntu):
status: New → Confirmed
Changed in brasero:
status: Unknown → New
Changed in brasero:
status: New → Fix Released
Didier Roche (didrocks) wrote :

uploaded in -proposed:

brasero (2.30.2-0ubuntu1) lucid-proposed; urgency=low

  * New upstream release
    - Lot's of memleak fixes
    - Fixed a runtime warning related to cancelling tracker searches
    - Crash in brasero_data_project_node_removed at
      brasero-data-project.c:1163
    - brasero crashed with SIGSEGV in brasero_data_project_remove_node()
      (LP: #561319)
    - Fix a few runtime warnings with the Cover Editor
    - Text in cover editor does not show up automatically (LP: #469459)
    - Removed use of deprecated flags
    - Use accessor functions instead direct access (use GSEAL GnomeGoal)
    - Fix a bug in the layout on first start (side pane was hidden and
      remained so until the user moved it)
    - Save printer settings for cover printing
    - Write the contents of the GtkTextBuffer displayed line by displayed
      line which should improve the layout
    - "Write to Disc" button sensitivity regression
    - Fix flaw in mask that led libburn plugin not to work (not to be picked
      up actually) in some circumstances
    - Fails to burn ANY audio project
    - Move columns doesn't work (LP: #581759)
    - Brasero does not correctly handle double clicking on column separators
      (LP: #581885)
    - Bad info when burning, high CPU usage and slow burn
    - Change the priority for cdrdao and raised the one of cdda2wav plugin
    - brasero crashed with SIGSEGV in
      brasero_mmc3_get_performa nce_wrt_spd_desc() (LP: #564766)
    - brasero crashed with SIGSEGV in brasero_scsi_command_issue_sync()
      (LP: #444832)
    - Do not check for symlinks on cdda2wav so the plugin can use icedax.
    - Brasero's failure with some file names (LP: #380643)
    - Pressing create audio cd does nothing
    - Empty project not available
    - can't actually save error logs
    - doesn't handle incorrect temp dirs properly
    - Fix multi DND in GtkFileChooser
    - Displays "starting to record" during whole burn process
    - Fix wrong report of speed with both cdrecord and wodim
    - Disk project doesn't save the disk title (LP: #587924)
    - Brasero reports outdated cdrtools on cdrtools-3.00 (LP: #592075)
    - misc bug fixes
    - Updated Translations
  * Removed upstream patches:
    - debian/patches/90_git_audio_project_creation.patch,
      debian/patches/91_git_audio_project_creation.patch,
      debian/patches/92_git_audio_cd_recording.patch,
      debian/patches/93_git_new_caps_function_definition.patch
  * debian/patches/99_autoconf.patch:
    - refreshed

Test case:
- install the package from lucid-proposed and check you have 2.30.2-0ubuntu1
- try to burn a data and an audio CD and check everything is fine
- check that bugs mentioned in the above changelog are fixed too and comment on each bug report
Thanks!

Didier Roche (didrocks) on 2010-06-24
Changed in brasero (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Wishlist

Accepted brasero into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in brasero (Ubuntu Lucid):
status: New → Fix Committed
tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package brasero - 2.30.2-0ubuntu2

---------------
brasero (2.30.2-0ubuntu2) maverick; urgency=low

  * New upstream release
    - Lot's of memleak fixes
    - Fixed a runtime warning related to cancelling tracker searches
    - Crash in brasero_data_project_node_removed at
      brasero-data-project.c:1163
    - brasero crashed with SIGSEGV in brasero_data_project_remove_node()
      (LP: #561319)
    - Fix a few runtime warnings with the Cover Editor
    - Text in cover editor does not show up automatically (LP: #469459)
    - Removed use of deprecated flags
    - Use accessor functions instead direct access (use GSEAL GnomeGoal)
    - Fix a bug in the layout on first start (side pane was hidden and
      remained so until the user moved it)
    - Save printer settings for cover printing
    - Write the contents of the GtkTextBuffer displayed line by displayed
      line which should improve the layout
    - "Write to Disc" button sensitivity regression
    - Fix flaw in mask that led libburn plugin not to work (not to be picked
      up actually) in some circumstances
    - Fails to burn ANY audio project
    - Move columns doesn't work (LP: #581759)
    - Brasero does not correctly handle double clicking on column separators
      (LP: #581885)
    - Bad info when burning, high CPU usage and slow burn
    - Change the priority for cdrdao and raised the one of cdda2wav plugin
    - brasero crashed with SIGSEGV in
      brasero_mmc3_get_performa nce_wrt_spd_desc() (LP: #564766)
    - brasero crashed with SIGSEGV in brasero_scsi_command_issue_sync()
      (LP: #444832)
    - Do not check for symlinks on cdda2wav so the plugin can use icedax.
    - Brasero's failure with some file names (LP: #380643)
    - Pressing create audio cd does nothing
    - Empty project not available
    - can't actually save error logs
    - doesn't handle incorrect temp dirs properly
    - Fix multi DND in GtkFileChooser
    - Displays "starting to record" during whole burn process
    - Fix wrong report of speed with both cdrecord and wodim
    - Disk project doesn't save the disk title (LP: #587924)
    - Brasero reports outdated cdrtools on cdrtools-3.00 (LP: #592075)
    - misc bug fixes
    - Updated Translations
  * Removed upstream patches:
    - debian/patches/90_git_audio_project_creation.patch,
      debian/patches/91_git_audio_project_creation.patch,
      debian/patches/92_git_audio_cd_recording.patch,
      debian/patches/93_git_new_caps_function_definition.patch
  * debian/rules, debian/control.in:
    - use dh-autoreconf to launch autoreconf on build
 -- Didier Roche <email address hidden> Mon, 28 Jun 2010 10:33:09 +0200

Changed in brasero (Ubuntu Maverick):
status: Triaged → Fix Released
Pedro Villavicencio (pedro) wrote :

Thanks for the report, i can reproduce the bug on Lucid and can confirm that it's fixed on the proposed package, marking this as verification done, thanks all.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package brasero - 2.30.2-0ubuntu1

---------------
brasero (2.30.2-0ubuntu1) lucid-proposed; urgency=low

  * New upstream release
    - Lot's of memleak fixes
    - Fixed a runtime warning related to cancelling tracker searches
    - Crash in brasero_data_project_node_removed at
      brasero-data-project.c:1163
    - brasero crashed with SIGSEGV in brasero_data_project_remove_node()
      (LP: #561319)
    - Fix a few runtime warnings with the Cover Editor
    - Text in cover editor does not show up automatically (LP: #469459)
    - Removed use of deprecated flags
    - Use accessor functions instead direct access (use GSEAL GnomeGoal)
    - Fix a bug in the layout on first start (side pane was hidden and
      remained so until the user moved it)
    - Save printer settings for cover printing
    - Write the contents of the GtkTextBuffer displayed line by displayed
      line which should improve the layout
    - "Write to Disc" button sensitivity regression
    - Fix flaw in mask that led libburn plugin not to work (not to be picked
      up actually) in some circumstances
    - Fails to burn ANY audio project
    - Move columns doesn't work (LP: #581759)
    - Brasero does not correctly handle double clicking on column separators
      (LP: #581885)
    - Bad info when burning, high CPU usage and slow burn
    - Change the priority for cdrdao and raised the one of cdda2wav plugin
    - brasero crashed with SIGSEGV in
      brasero_mmc3_get_performa nce_wrt_spd_desc() (LP: #564766)
    - brasero crashed with SIGSEGV in brasero_scsi_command_issue_sync()
      (LP: #444832)
    - Do not check for symlinks on cdda2wav so the plugin can use icedax.
    - Brasero's failure with some file names (LP: #380643)
    - Pressing create audio cd does nothing
    - Empty project not available
    - can't actually save error logs
    - doesn't handle incorrect temp dirs properly
    - Fix multi DND in GtkFileChooser
    - Displays "starting to record" during whole burn process
    - Fix wrong report of speed with both cdrecord and wodim
    - Disk project doesn't save the disk title (LP: #587924)
    - Brasero reports outdated cdrtools on cdrtools-3.00 (LP: #592075)
    - misc bug fixes
    - Updated Translations
  * Removed upstream patches:
    - debian/patches/90_git_audio_project_creation.patch,
      debian/patches/91_git_audio_project_creation.patch,
      debian/patches/92_git_audio_cd_recording.patch,
      debian/patches/93_git_new_caps_function_definition.patch
  * debian/patches/99_autoconf.patch:
    - refreshed
 -- Didier Roche <email address hidden> Thu, 24 Jun 2010 11:22:46 +0200

Changed in brasero (Ubuntu Lucid):
status: Fix Committed → Fix Released
Changed in brasero:
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.